#!/bin/bash
#
# @(#) Fibranet NSP, SL
# Copyright (C) 2005-2009 by Jordi Sanfeliu <jordi@fibranet.cat>
#
. /etc/rc.conf
. /etc/rc.d/functions

case $1 in
    start)
        stat_busy "Starting Monitorix"
        if ck_daemon monitorix; then
	if [ -x /etc/cron.hourly/sync-monitorix.sh ]; then
                /etc/cron.hourly/sync-monitorix.sh >/dev/null 2>&1
        fi
            # Creates RRDs files if needed
            /usr/sbin/monitorix.pl create >/dev/null 2>&1 || stat_die $?
            /usr/sbin/monitorix.pl init >/dev/null 2>&1 || stat_die $?
            add_daemon monitorix
        # restart crond so data gets collected
        /sbin/sv restart cron
            stat_done
        else
            stat_fail
        fi
    ;;

    stop)
        stat_busy "Stopping Monitorix"
        if ! ck_daemon monitorix; then
        if [ -x /etc/cron.hourly/sync-monitorix.sh ]; then
                /etc/cron.hourly/sync-monitorix.sh >/dev/null 2>&1
        fi
            /usr/sbin/monitorix.pl stop 2>&1 || stat_die $?
            rm_daemon monitorix
        # restart crond data stops getting collected
        /sbin/sv restart cron
            stat_done
        else
            stat_fail
        fi
    ;;

    restart)
        $0 stop
        sleep 1
        $0 start
    ;;
    *)
        echo "usage: $0 {start|stop|restart}"
    ;;
esac

exit 0
